> For the complete documentation index, see [llms.txt](https://npms.gitbook.io/country-info/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://npms.gitbook.io/country-info/reference/functions/get-country-information.md).

# Get Country Information

You can use the **getCountryInfo** function to retrieve information about a specific country. This function takes the country name as input and optionally an array of specific fields to retrieve. If no specific fields are provided, all available data for the country will be returned.

```javascript
const { getCountryInfo } = require('countrys-info');

// Get information about a specific country
const countryData = getCountryInfo('Afghanistan');
console.log(countryData);

// Get a specific field of a country
const capitalEn = getCountryInfo('China', 'capital_en');
console.log(capitalEn);

// Get multiple fields of a country
const countryFields = getCountryInfo('China', ['capital_en', 'code_2', 'tld']);
console.log(countryFields);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://npms.gitbook.io/country-info/reference/functions/get-country-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
